# List brand contents

Retrieves a paginated list of localized contents within a brand.

Endpoint: GET /v1/brands/{brandUuid}/contents
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `brandUuid` (string, required)
    The unique identifier of the brand.

## Query parameters:

  - `uuids[eq]` (array)

  - `localeUuids[eq]` (array)

  - `createdAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[order]` (string)

  - `updatedAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[order]` (string)

  - `page` (integer)

  - `size` (integer)

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.uuid` (string, required)
    Unique identifier for this brand content.

  - `items.brandUuid` (string, required)
    Identifier of the brand this content belongs to.

  - `items.localeUuid` (string, required)
    Identifier of the locale this content is localized for.

  - `items.createdAt` (string, required)
    Timestamp when this brand content was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.updatedAt` (string, required)
    Timestamp when this brand content was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.label` (string, required)
    Localized display label for the brand.

  - `items.description` (string,null)
    Localized description of the brand.

  - `pagination` (object, required)

  - `pagination.page` (integer, required)

  - `pagination.size` (integer, required)

  - `pagination.totalItems` (integer, required)

  - `pagination.totalPages` (integer, required)

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


